function Tree(pos, dir, curtime) {
	this.start = pos;
	this.end = [0,0];
	this.dir = dir;
	this.starttime = curtime;
	this.update = function(curtime) {
		var elastedtime = curtime - this.starttime;
		if(elastedtime<0.0) return;
		this.end[0] = this.start[0] + dir[0] * elastedtime;
		this.end[1] = this.start[1] + dir[1] * elastedtime;
	}
}